using Deskcandy.Candy;

namespace Deskcandy {
  [GtkTemplate(ui = "/moe/solarpunk/Deskcandy/video_form.ui")]
  public class VideoForm : Gtk.Bin {
    [GtkChild]
    private unowned Gtk.FileChooserButton video_chooser;
    [GtkChild]
    private unowned Gtk.CheckButton video_loop_checkbox;
    [GtkChild]
    private unowned Gtk.Range video_speed_slider;

    private unowned Video video;

    public void on_initialized(Video video) {
      this.video = video;
    }

    [GtkCallback]
    private void on_video_property_changed() {
      this.video.name = this.video_chooser.get_filename();
      this.video.loop = this.video_loop_checkbox.get_active();
      this.video.speed = this.video_speed_slider.get_value();
    }
  }
}

